package cn.iocoder.yudao.module.reward.controller.app.redeem.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
@ApiModel("客户端 - 礼品兑换记录详情 resp VO")
public class AppRewardRedeemDetailRespVO {
    @ApiModelProperty(value = "id")
    private Long id;
    @ApiModelProperty(value = "会员id")
    private Long memberId;
    @ApiModelProperty(value = "礼品id")
    private Long rewardId;
    @ApiModelProperty(value = "兑换状态")
    private Integer status;
    @ApiModelProperty(value = "兑换积分")
    private Integer totalCount;
    @ApiModelProperty(value = "礼品名称（中文）")
    private String rewardTitleZh;
    @ApiModelProperty(value = "礼品名称（英文）")
    private String rewardTitleEn;
    @ApiModelProperty(value = "兑换数量")
    private Integer rewardCount;
    @ApiModelProperty(value = "活动开始日期")
    private Date startTime;
    @ApiModelProperty(value = "活动结束日期")
    private Date endTime;
    @ApiModelProperty(value = "兑换方式")
    private Integer redeemType;
    @ApiModelProperty(value = "兑换网点(中文)")
    private String nodeTitleZh;
    @ApiModelProperty(value = "兑换网点(英文)")
    private String nodeTitleEn;
    @ApiModelProperty(value = "收件人姓名")
    private String recipientName;
    @ApiModelProperty(value = "收件人电话")
    private String recipientPhoneNum;
    @ApiModelProperty(value = "收件人地址")
    private String recipientAddress;
    @ApiModelProperty(value = "快递日期")
    private Date expressDate;
    @ApiModelProperty(value = "快递公司名称")
    private String courierCompanyName;
    @ApiModelProperty(value = "快递单号")
    private String expressNo;
    @ApiModelProperty(value = "备注")
    private String remark;
}
