package cn.iocoder.yudao.module.reward.vo.reward;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

@Data
@ApiModel("管理后台 - 礼品兑换记录分页结果 VO")
@EqualsAndHashCode(callSuper = true)
public class RewardRedeemPageRespVO extends RewardRedeemBaseVO {
    @ApiModelProperty(value = "会员名称中文")
    private String memberNameZh;
    @ApiModelProperty(value = "会员名称英文")
    private String memberNameEn;
    @ApiModelProperty(value = "礼品ID")
    private String rewardCode;
    @ApiModelProperty(value = "礼品名称（中文）")
    private String rewardTitleZh;
    @ApiModelProperty(value = "礼品名称（英文）")
    private String rewardTitleEn;
    @ApiModelProperty(value = "礼品名称（法文）")
    private String rewardTitleFr;
    @ApiModelProperty(value = "兑换网点(中文)")
    private String nodeTitleZh;
    @ApiModelProperty(value = "兑换网点(英文)")
    private String nodeTitleEn;
    @ApiModelProperty(value = "兑换积分")
    private Integer totalCount;
    @ApiModelProperty(value = "创建人")
    private String creatorName;
    @ApiModelProperty(value = "更新人")
    private String updaterName;
    @ApiModelProperty(value = "币种名称中文")
    private String currencyTitleZh;
    @ApiModelProperty(value = "币种名称英文")
    private String currencyTitleEn;
    @ApiModelProperty(value = "快递公司名称")
    private String courierCompanyName;

    private Integer holdScore;
    private Integer pointsRequire;

    @ApiModelProperty(value = "活动开始日期")
    private Date startTime;
    @ApiModelProperty(value = "活动结束日期")
    private Date endTime;
}
